<?php
/**
* @version 1.0.0
* @package RSFiles! 1.0.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rsfilesViewStatistics extends JView
{
	function display($tpl = null)
	{
		global $mainframe;
	
		JSubMenuHelper::addEntry(JText::_('RSFL_FILES_MENU'), 'index.php?option=com_rsfiles&task=files'); 
		JSubMenuHelper::addEntry(JText::_('RSFL_LICENSE_MENU'), 'index.php?option=com_rsfiles&task=licenses'); 
		JSubMenuHelper::addEntry(JText::_('RSFL_GROUPS_MENU'), 'index.php?option=com_rsfiles&task=groups'); 
		JSubMenuHelper::addEntry(JText::_('RSFL_STATISTICS_MENU'), 'index.php?option=com_rsfiles&task=statistics',true);
		JSubMenuHelper::addEntry(JText::_('RSFL_THEMES_MENU'), 'index.php?option=com_rsfiles&task=themes');
		JSubMenuHelper::addEntry(JText::_('RSFL_SETTINGS_MENU'), 'index.php?option=com_rsfiles&task=settings'); 
		JSubMenuHelper::addEntry(JText::_('RSFL_UPDATES_MENU'), 'index.php?option=com_rsfiles&task=updates'); 		
	
		$db = JFactory::getDBO();
		$rsfilesConfig = $mainframe->getUserState('rsfilesConfig');
		$this->assignRef('rsfilesConfig',$rsfilesConfig);
		$this->assignRef('db',$db);
		$task=JRequest::getVar('task','','request');
		switch($task)
		{
			
			case 'statistics':
			{
				JToolBarHelper::title(JText::_('RSFL_STATISTICS'),'rsfl-statistics');
				JToolBarHelper::custom('rsfiles','rsfiles-32','rsfiles-32',JText::_('RSFL_PRODUCT'),false);
				
				$data = $this->get('Data');
				$pagination=$this->get('pagination');
				$jFilter = JRequest::getVar('jFilter');
				
				$this->assignRef('data',$data);
				$this->assignRef('pagination',$pagination);
				$this->assignRef('jFilter',$jFilter);
				
			} break;
			
			case 'viewstatistic':
			{
				$cid=JRequest::getVar('cid',array(0),'request','array');
				if(is_array($cid)) $cid=intval($cid[0]);
				$db->setQuery("SELECT FileName,FilePath FROM #__rsfiles_files WHERE IdFile = ".$cid);
				$details = $db->loadObject();
				$filename = (empty($details->FileName)) ? $details->FilePath : $details->FileName;
				
				
				JToolBarHelper::title(JText::sprintf('RSFL_VIEW_STATISTIC_FOR',$filename),'generic.png');
				JToolBarHelper::deleteList('RSFL_STATISTICS_CONFIRM_DELETE','remove','RSFL_EMPTY_LIST');
				JToolBarHelper::cancel();
				
				$data = $this->get('Statistic');
				$pagination=$this->get('spagination');
				
				
				$this->assignRef('data',$data);
				$this->assignRef('cid',$cid);
				$this->assignRef('pagination',$pagination);
			
			} break;
		}
		
		
		parent::display($tpl);
	}
}