<?php
/**--------------------------------------------------------
# BT Education - Joomla! Template
# --------------------------------------------------------
# For Joomla! 2.5
# Copyright (C) 2012 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/demo/?template=education
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
-------------------------------------------------------- **/

defined( '_JEXEC' ) or die( 'Restricted access' );

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$this->template.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();

$print = JRequest::getCmd('print');
$mailto = JRequest::getCmd('option');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<jdoc:include type="head" />

	<?php if($print == 1) : ?>   
        <!-- PRINT CSS -->
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/system/print.css" type="text/css" />
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/system/print.css" type="text/css" media="Print" />

        <!-- DEFAULT CSS-->
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/overrides.css" type="text/css" />

        <!-- TYPOGRAPHY CSS -->
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography.css" type="text/css" />

        <!-- SKIN CSS -->
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/<?php echo $bt->skin; ?>.css" type="text/css" />
	<?php endif; ?>
    	
	<?php if($mailto == 'com_mailto') : ?>
        <!-- MAILTO CSS -->
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/system/mailto.css" type="text/css" />
    
        <!-- SKIN CSS -->
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/<?php echo $bt->skin; ?>.css" type="text/css" />
    
        <!-- TYPOGRAPHY CSS -->
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography.css" type="text/css" />
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/system.css" type="text/css" />
  	<?php endif; ?>
		
	<?php if(JRequest::getVar('option') == 'com_virtuemart' && (JRequest::getVar('task') == 'askquestion' || JRequest::getVar('task') == 'recommend' || JRequest::getVar('print') == 1)) : ?>
        <!-- VIRTUEMART & TYPOGRAPHY CSS -->
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography.css" type="text/css" />
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/system.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/virtuemart.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/virtuemart_popup.css" type="text/css" />
	<?php endif; ?>

</head>
<body class="contentpane" style="padding: 0; margin: 10px;">
	<?php if($print != 1) : ?>
	<jdoc:include type="message" />
	<jdoc:include type="component" />
	<?php else : ?>
	<jdoc:include type="component" />
    <?php endif; ?>
</body>
</html>