<?php
/**
* @version 1.0.0
* @package RSFiles! 1.0.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die();
 
jimport( 'joomla.application.component.model' );

class rsfilesModelThemes extends JModel
{
	var $_query;
	var $_data;
	var $_total=null;
	var $_pagination=null;
	var $_componentList=null;
	function _buildQuery()
	{
	
		global $mainframe;
		$db =& JFactory::getDBO();
		
		$jFilter = JRequest::getVar('jFilter');

		
		$this->_query="SELECT * FROM #__rsfiles_themes WHERE ThemeName LIKE '%".$db->getEscaped($jFilter)."%' ORDER BY IdTheme DESC";
		//echo $this->_query;
	}
	function __construct()
	{	
		parent::__construct();
		$this->_buildQuery();
		global $mainframe, $option;

		// Get pagination request variables
		$limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
		$limitstart = $mainframe->getUserStateFromRequest($option.'.limitstart', 'limitstart', 0, 'int');

		// In case limit has been changed, adjust it
		$limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);

		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);
		

		//echo $this->_db->_errorMsg;
	}
	function getData()
	{
		if (empty($this->_data))
		{
			$this->_data=$this->_getList($this->_query,$this->getState('limitstart'), $this->getState('limit'));
		}
		return $this->_data;
	}
	function getTotal()
	{
		// Load the content if it doesn't already exist
		if (empty($this->_total))
		{
			$this->_total = $this->_getListCount($this->_query);	
		}
		return $this->_total;
	}
	function getPagination()
	{
		// Load the content if it doesn't already exist
		if (empty($this->_pagination))
		{
			jimport('joomla.html.pagination');
			$this->_pagination = new JPagination($this->getTotal(), $this->getState('limitstart'), $this->getState('limit'));
		}
		return $this->_pagination;
	}
	
	function getTheme()
	{
		$cid= JRequest::getVar('cid');
		if(is_array($cid)) $cid=$cid[0];
		$row= & JTable::getInstance('Rsfiles_Themes','Table');
		$row->load($cid);
		return $row;
	}
	
	function getTemplates()
	{
		$db = JFactory::getDBO();
		$cid= JRequest::getVar('cid');
		if(is_array($cid)) $cid=$cid[0];
		$db->setQuery("SELECT IdTemplate , TemplateName FROM #__rsfiles_templates WHERE IdTheme = ".$cid);
		$rows = $db->loadObjectList(); 
		
		return $rows;
	
	}
	
	function getTemplate()
	{
		$cid= JRequest::getVar('cid');
		if(is_array($cid)) $cid=$cid[0];
		$row= & JTable::getInstance('Rsfiles_Templates','Table');
		$row->load($cid);
		return $row;
	}
	
 
}