<?php
/**--------------------------------------------------------
# BT Education - Joomla! Template
# --------------------------------------------------------
# For Joomla! 2.5
# Copyright (C) 2012 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/demo/?template=education
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
-------------------------------------------------------- **/

defined( '_JEXEC' ) or die( 'Restricted access' );

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$this->template.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<!-- GOOGLE FONTS -->
<link href="http://fonts.googleapis.com/css?family=Open+Sans:400,700,600" rel="stylesheet" type="text/css" />

<!-- DEFAULT CSS-->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/mstyles.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/overrides.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />

<!-- K2 CSS -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/k2.css" type="text/css" />

<!-- SKIN CSS -->
<link rel="stylesheet" id="skin" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/<?php echo $bt->skin; ?>.css" type="text/css" />

</head>

<body>

<div id="outer" style="width: <?php echo $bt->full_width + 30; ?>px;">

	<div id="inner" style="width: <?php echo $bt->full_width; ?>px;">

		<?php
        // BEGIN: Logo, Top, Social
        echo $bt->getPosition('logo_top_social', array('logo'=>$bt->logo_width, 'top'=>$bt->top_width, 'social'=>$bt->social_width), $bt->full_width, 'horizontal', '0', '0', '0', '0', '10', '10', '10', '10'); 
        // END: Logo, Top, Social
        ?>

        <div class="clearfix"></div>

		<?php
        // BEGIN: Menu
        echo $bt->getPosition('menu', array('menu'=>$bt->menu_width), $bt->full_width, 'horizontal', '0', '0', '0', '0', '20', '0', '20', '0'); 
        // END: Menu
        ?>

        <div class="clearfix"></div>

		<?php
        // BEGIN: Slideshow
		if ($bt->display_header) {
			$slideshow_rounded_corners = 'left_top_right_top_rounded_corners';
		}else{
			$slideshow_rounded_corners = 'full_rounded_corners';		
		}
		echo '<div id="bt_slideshow_div_rounded_corners" class="'.$slideshow_rounded_corners.'">';
		echo $bt->getPosition('slideshow', array('slideshow'=>$bt->slideshow_width), $bt->full_width, 'horizontal', '0', '0', '0', '0', '0', '0', '0', '0'); 
		echo '</div>';
		// END: Slideshow
        ?>

        <?php 
		if ($bt->display_slideshow) { 
        	echo '<div id="header_with_slideshow">';
        }else if ($bt->display_header) {
        	echo '<div id="only_header">';
		}else{
			echo '';
		}
		// BEGIN: Header
		echo $bt->getPosition('header', array('header1'=>$bt->header1_width, 'header2'=>$bt->header2_width, 'header3'=>$bt->header3_width), $bt->full_width, 'horizontal', '0', '0', '0', '0', '0', '0', '0', '0');
		// END: Header
		
		if ($bt->display_slideshow) { 
        	echo '</div>';
        }else if ($bt->display_header) {
        	echo '</div>';
		}else{
			echo '';
		}
		?>
        
        <div id="main">
		<?php
        // rounded corners
        if ($bt->display_left) {
            $rounded_corners = "edu";
            $brdr = "right_brdr";
            $bt->bt_main_outer_width = $bt->bt_main_outer_width - 1;
        }else if ($bt->display_right){
            $rounded_corners = "edu";
            $brdr = "left_brdr";
            $bt->bt_main_outer_width = $bt->bt_main_outer_width - 1;
        }else{
            $rounded_corners = "edu_full";
            $brdr = "no_brdr";
        }
        ?>

		<table border="0" cellpadding="0" cellspacing="0" id="main_table">
        	<tr>
			
			<?php
			// BEGIN: Left
			if ($bt->display_left) { 
			echo '<td valign="top" id="left_col" class="edu '.$brdr.'">';
				echo $bt->getPosition('left', array('left'=>$bt->left_width), $bt->left_width, 'vertical', '0', '0', '0', '0', '0', '0', '0', '0'); 
           	echo '</td>';
			}
			// END: Left
			?>
             
            <td valign="top" id="main_col" class="<?php echo $rounded_corners; ?>">
            
            <div id="body" style="width: <?php echo $bt->bt_main_outer_width;?>px">
				<?php
                // BEGIN: Newsflash
                echo $bt->getPosition('newsflash', array('newsflash'=>$bt->bt_main_outer_width), $bt->bt_main_outer_width, 'horizontal', '0', '0', '0', '0', '15', '15', '0', '15'); 
                // END: Newsflash
            
                // BEGIN: News
                echo $bt->getPosition('news', array('news1'=>$bt->news1_width, 'news2'=>$bt->news2_width, 'news3'=>$bt->news3_width), $bt->bt_main_outer_width, 'horizontal', '0', '0', '0', '0', '15', '15', '0', '15'); 
                // END: News
                
                // BEGIN: Pathway
                echo $bt->getPosition('pathway', array('pathway'=>$bt->bt_main_outer_width), $bt->bt_main_outer_width, 'horizontal', '0', '0', '0', '0', '15', '15', '0', '15'); 
                // END: Pathway
                
                // BEGIN: Mainbody
                echo $bt->getPosition('mainbody', array('mainbody'=>''), $bt->bt_main_outer_width, 'horizontal', '0', '0', '0', '0', '10', '15', '0', '15'); 
                // END: Mainbody
            
                // BEGIN: Notice
                echo $bt->getPosition('notice', array('notice1'=>$bt->notice1_width, 'notice2'=>$bt->notice2_width, 'notice3'=>$bt->notice3_width), $bt->bt_main_outer_width, 'horizontal', '0', '0', '0', '0', '10', '15', '0', '15');  
                // END: Notice
            
                // BEGIN: Banner
                echo $bt->getPosition('banner', array('banner'=>$bt->bt_main_outer_width), $bt->bt_main_outer_width, 'horizontal', '0', '0', '0', '0', '10', '15', '0', '15'); 
                // END: Banner
            	?>
                <div class="clearfix"></div>
            </div>
                
            </td>
            
            <?php
            // BEGIN: Right
            if ($bt->display_right) { 
            	echo '<td valign="top" id="right_col" class="edu '.$brdr.'">';
			    echo $bt->getPosition('right', array('right'=>$bt->right_width), $bt->right_width, 'vertical', '0', '0', '0', '0', '0', '0', '0', '0'); 
            	echo '</td>';
			}
            // END: Right
            ?>
            
            </tr>
        </table>
		</div>
        
		<?php
		// BEGIN: Bottom
		echo $bt->getPosition('bottom', array('bottom1'=>$bt->bottom1_width, 'bottom2'=>$bt->bottom2_width, 'bottom3'=>$bt->bottom3_width), $bt->full_width, 'horizontal', '0', '0', '0', '0', '10', '15', '0', '15'); 
		// END: Bottom
		?>  
        
        <div class="clearfix"></div>
		 
		<?php
		// BEGIN: Footer One
		echo $bt->getPosition('footer_one', array('footer1'=>$bt->footer1_width, 'footer2'=>$bt->footer2_width, 'footer3'=>$bt->footer3_width), $bt->full_width, 'horizontal', '0', '0', '0', '0', '10', '15', '0', '15'); 
		// END: Footer One
		?>
		
        <div class="clearfix"></div>
        
		<?php
		// BEGIN: Footer Two
		echo $bt->getPosition('footer_two', array('btlogo'=>$bt->btlogo_width, 'footer4'=>$bt->footer4_width, 'footer5'=>$bt->footer5_width), $bt->full_width, 'horizontal', '0', '0', '0', '0', '10', '15', '0', '15'); 
		// END: Footer Two
		?>
        <div class="clearfix"></div>

    </div>

</div>


<div id="bottom_line_bg"></div>  

<?php 
// BEGIN Go top button
if ($bt->display_gotop) {
	echo $bt->bt_gotop; 
}
// END Go top button
?>

<jdoc:include type="modules" name="debug" />

</body>
</html>